summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Liffey <amynka@gentoo.org>2019-04-30 14:27:36 +0200
committerAmy Liffey <amynka@gentoo.org>2019-04-30 15:16:16 +0200
commitd4bb6b729a45467ccc0162fe2bb15e0ff4f07b6a (patch)
treedf5fa4d391cba4835fc88b8c9fa39616e03b9d5c /app-misc/datovka
parentprofiles/prefix/{darwin,sunos}/*/package.mask: mask perl-5.28.2 (diff)
downloadgentoo-d4bb6b729a45467ccc0162fe2bb15e0ff4f07b6a.tar.gz
gentoo-d4bb6b729a45467ccc0162fe2bb15e0ff4f07b6a.tar.bz2
gentoo-d4bb6b729a45467ccc0162fe2bb15e0ff4f07b6a.zip
app-misc/datovka: version bump 4.13.1
Suggested-by: Karel Slany <karel.slany@nic.cz> Signed-off-by: Amy Liffey <amynka@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'app-misc/datovka')
-rw-r--r--app-misc/datovka/Manifest1
-rw-r--r--app-misc/datovka/datovka-4.13.1.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/app-misc/datovka/Manifest b/app-misc/datovka/Manifest
index a7c0d1b97aa..ed89de36a8d 100644
--- a/app-misc/datovka/Manifest
+++ b/app-misc/datovka/Manifest
@@ -1,3 +1,4 @@
DIST datovka-4.10.3.tar.xz 2554488 BLAKE2B a06c122403f7571c19abddca93e4d7270b66dbac9b86eb073634cc2c22dd26ad230ad36580b8f977e7033656d8f7066be89532c786ea554b293a2fab46309b9f SHA512 8a07c338b214bd0fdac216d6b278ebceee48aeb4df2d97a77a42f627479641d1824c5ed16f336f5da3205c46e753203aadfd0f83934b7caff4dc9c819e0cee0a
DIST datovka-4.11.0.tar.xz 2575132 BLAKE2B c5fb753fe0a68c03571c490443428d36a76859b9be123e79a6fd32eb220f6f9f963c65e13b90e72554370c5d20bfef9fff6d47ebaa78e9865aff51d377280140 SHA512 ad245b0c2028a03690eeca6363e94852847ab20a4234aa89a4926d5727e9537e97a2dd53a6f8bfd7691e23480ab2c50ce681ffb7017a80996075bb000d6e1c5f
DIST datovka-4.11.1.tar.xz 2583660 BLAKE2B 2d62e79c5be9d20e79d19bba43ce3d7fa8dd0b80e8bee6e63d04e63f6c878b84185b869fed1fc601f97350b499aa60041585693081e78bad5e0bc7e272aabcea SHA512 b36211b8830beb1f3a01b399303a1f2f87c77418975b007dac4b55613bdf54205eda0e7bac44d6c68e1102842eaa4231baaa46c31b99d5b6b145597f6a1366f9
+DIST datovka-4.13.1.tar.xz 2749936 BLAKE2B 7f713837e40ea9de170d5a009179ef89eafc4191d7fbdedf547c6d3ba3fbd273c279e381876f48f457e5b9abf01fa4830adb0eaa2077768ce43f5718e00f125b SHA512 94623c0befe9096396083162a1fb26ac53510a47e5305c4bdea65bc65e3af096847508ba2028d0089f39a0812700506818759e2e22c354fecf96a117745aefce
diff --git a/app-misc/datovka/datovka-4.13.1.ebuild b/app-misc/datovka/datovka-4.13.1.ebuild
new file mode 100644
index 00000000000..7dcdeec590c
--- /dev/null
+++ b/app-misc/datovka/datovka-4.13.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils xdg-utils
+
+DESCRIPTION="GUI to access the Czech data box e-government system"
+HOMEPAGE="https://www.datovka.cz/"
+SRC_URI="https://secure.nic.cz/files/datove_schranky/${PV}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# minimum Qt version required
+QT_PV="5.3.2:5"
+
+RDEPEND="
+ >=dev-libs/openssl-1.0.2:0=
+ >=dev-qt/qtcore-${QT_PV}
+ >=dev-qt/qtgui-${QT_PV}
+ >=dev-qt/qtnetwork-${QT_PV}
+ >=dev-qt/qtprintsupport-${QT_PV}
+ >=dev-qt/qtsql-${QT_PV}[sqlite]
+ >=dev-qt/qtsvg-${QT_PV}
+ >=dev-qt/qtwidgets-${QT_PV}
+ >=net-libs/libisds-0.10.8
+"
+DEPEND="
+ ${RDEPEND}
+ >=dev-qt/linguist-tools-${QT_PV}
+ virtual/pkgconfig
+"
+
+DOCS=( ChangeLog README )
+
+src_configure() {
+ lrelease datovka.pro || die
+ eqmake5 PREFIX="/usr" DISABLE_VERSION_NOTIFICATION=1 TEXT_FILES_INST_DIR="/usr/share/${PN}/"
+}
+
+src_install() {
+ emake install INSTALL_ROOT="${D}"
+ einstalldocs
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}